ExtraContentHelpers = {}

function ExtraContentHelpers.setLastReplayedScene(scene)
	SetGameState(LAST_REPLAYED_SCENE, scene, EGameStateTag.GENERAL)
end
---------------------------------------------------------------------------------------------------

function ExtraContentHelpers.removeLastReplayedScene()
	RemoveGameState(LAST_REPLAYED_SCENE, nil, EGameStateTag.GENERAL)
end
---------------------------------------------------------------------------------------------------

function ExtraContentHelpers.getLastReplayedScene()
	if HasGameState(LAST_REPLAYED_SCENE, nil, EGameStateTag.GENERAL) then
		return GetGameState(LAST_REPLAYED_SCENE, EGameStateTag.GENERAL):get(0)
	end
	return nil
end
---------------------------------------------------------------------------------------------------